Retrieve all blogs
curl --request GET \
--url https://api.hubapi.com/cms/blog-settings/2026-03/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/cms/blog-settings/2026-03/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/cms/blog-settings/2026-03/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"absoluteUrl": "<string>",
"allowComments": true,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"htmlTitle": "<string>",
"id": "<string>",
"language": "aa",
"listingPageId": "<string>",
"name": "<string>",
"publicAccessRules": [
{}
],
"publicAccessRulesEnabled": true,
"publicTitle": "<string>",
"slug": "<string>",
"translatedFromId": "<string>",
"updated": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Blog Settings
Retrieve all blogs
Get the list of blogs. Results can be limited and filtered by creation or updated date.
GET
/
cms
/
blog-settings
/
2026-03
/
settings
Retrieve all blogs
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.
Whether to return only results that have been archived.
The maximum number of results to display per page.
Last modified on September 9, 2026
Was this page helpful?